Bug 233788 - multimedia/gstreamer1-plugins: fix build of graphics/gstreamer1-plugins-gl with GCC-based architectures
Summary: multimedia/gstreamer1-plugins: fix build of graphics/gstreamer1-plugins-gl wi...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-multimedia mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-04 23:06 UTC by Piotr Kubaj
Modified: 2019-03-29 17:38 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (multimedia)


Attachments
patch (884 bytes, patch)
2018-12-04 23:06 UTC, Piotr Kubaj
no flags Details | Diff
v2 (2.71 KB, patch)
2018-12-05 14:27 UTC, Piotr Kubaj
no flags Details | Diff
patch (2.71 KB, patch)
2018-12-05 14:31 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-12-04 23:06:50 UTC
Created attachment 199832 [details]
patch

I'm sending a patch for multimedia/gstreamer1-plugins instead of directly to graphics/gstreamer1-plugins-gl because multimedia/gstreamer1-plugins is the master port.

It needs removed redefined typedef to fix build with base GCC.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 Piotr Kubaj freebsd_committer 2018-12-05 14:27:18 UTC
Created attachment 199851 [details]
v2

Additional patches are needed.
Comment 2 Piotr Kubaj freebsd_committer 2018-12-05 14:31:08 UTC
Created attachment 199852 [details]
patch

Remove accidentally left // and remove the line.
Comment 3 mikael.urankar 2019-02-28 08:08:34 UTC
@piotr, can you have a look at this pr on the forum? Is it the same issue?
https://forums.freebsd.org/threads/powerpc64-gstreamer1-plugins-bad-compiler-error.69130/#post-417974
Comment 4 Piotr Kubaj freebsd_committer 2019-02-28 08:14:45 UTC
(In reply to mikael.urankar from comment #3)
Yes, it's the same issue. It looks like most, if not all, plugins from gstreamer1-plugins have this problem. We can either remove typedefs of force newer GCC.
Comment 5 commit-hook freebsd_committer 2019-03-29 17:21:40 UTC
A commit references this bug:

Author: linimon
Date: Fri Mar 29 17:21:27 UTC 2019
New revision: 497170
URL: https://svnweb.freebsd.org/changeset/ports/497170

Log:
  Fix compilation on GCC-based architectures including and similar to:

    gstgldebug.h:28: error: redefinition of typedef 'GstGLAsyncDebug'

  I chose a different approach from the PR.  The trick is that since this
  is a slave port, the patchdir by default is from the masterport.  In my
  fix, I put the patches back into this port's files/ subdir and do some
  Makefile magic to invoke them.

  PR:		233788 (based on)
  Submitted by:	Piotr Kubaj
  Approved by:	portmgr (tier-2 blanket)

Changes:
  head/graphics/gstreamer1-plugins-gl/Makefile
  head/graphics/gstreamer1-plugins-gl/files/
  head/graphics/gstreamer1-plugins-gl/files/patch-gst-libs_gst_gl_gstgl__fwd.h
  head/graphics/gstreamer1-plugins-gl/files/patch-gst-libs_gst_gl_gstglcontext.h
  head/graphics/gstreamer1-plugins-gl/files/patch-gst-libs_gst_gl_gstgldebug.h
  head/graphics/gstreamer1-plugins-gl/files/patch-gst-libs_gst_gl_gstglfuncs.h